Use Suno’s official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.
Unique identifier of the music generation task. Should be the taskId returned by the “Generate Music” or “Extend Music” endpoint. Required when using existing audio.
audioUrl
string
Conditional
URL of the audio file uploaded by the user. Maximum file size: 20MB. Required when using user-uploaded audio. Cannot be used together with audioId.
audioId
string
Conditional
Unique identifier of the specific audio track to process. This ID is returned in the callback data after music generation completes. Required when using existing audio. Cannot be used together with audioUrl.
type
string
Optional
Separation type: separate_vocal (default), split_stem, or split_stem_advanced
stemName
string
Conditional
Only used when type is split_stem_advanced, specifies the name of the specific track/instrument to separate. Supported instruments include: Lead Vocal, Drum Kit, Piano, Guitar, Bass, Synth, Percussion, etc.
callBackUrl
string
Required
URL for receiving vocal separation task completion updates
Unique identifier of the specific audio track to process. This ID is returned in the callback data after music generation completes. Required when using existing audio. Cannot be used together with audioUrl.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Suno API","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://sunoapi.org/logo.png","dark":"https://sunoapi.org/logo.png"},"favicon":"https://mintcdn.com/sunoapiorg/efdUzIovugj6NDSU/favicon.ico?fit=max\u0026auto=format\u0026n=efdUzIovugj6NDSU\u0026q=85\u0026s=9c808a02b0c40b03132ce976e03ddcef","navbar":{"links":[{"href":"mailto:support@sunoapi.org","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://sunoapi.org/dashboard"}},"footer":{},"contextual":{"options":["copy","view","chatgpt","claude","perplexity"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Home","icon":"house","href":"https://sunoapi.org/"},{"anchor":"Old Docs","icon":"book-open-cover","href":"https://old-docs.sunoapi.org/"}]},"languages":[{"language":"en","href":""},{"language":"cn","href":"cn"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sunoapiorg","hasAudioNarration":false,"actualSubdomain":"sunoapiorg","customDomains":["docs.sunoapi.org"],"gitSource":{"type":"gitlab","owner":"development","repo":"docs.sunoapi.org","deployBranch":"main","contentDirectory":"","isPrivate":true,"projectId":311,"hostUrl":"https://gitlab.tattooidea.ai","mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad43b561fc77c75a5a1cb55","collectionId":"1e85f3fd-a550-4c99-a520-9a5befb93f83","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad43b561fc77c75a5a1cb55"},"entitlements":{},"buildId":"6ad43b561fc77c75a5a1cb55","clientVersion":"0.0.3965","searchFilterCounts":[{"language":"cn","tag":"Generate Music","count":24},{"language":"en","tag":"Generate Music","count":24},{"language":"cn","tag":"Suno Voice","count":9},{"language":"en","tag":"Suno Voice","count":9},{"language":"cn","tag":"Vocal Removal","count":6},{"language":"en","tag":"Vocal Removal","count":6},{"language":"cn","tag":"文件上传API","count":4},{"language":"en","tag":"File Upload API","count":4},{"language":"cn","tag":"WAV Conversion","count":3},{"language":"cn","tag":"Music Video Generation","count":3},{"language":"cn","tag":"Generate Lyrics","count":3},{"language":"en","tag":"WAV Conversion","count":3},{"language":"en","tag":"Music Video Generation","count":3},{"language":"en","tag":"Generate Lyrics","count":3},{"language":"cn","tag":"Generate Sounds","count":1},{"language":"cn","tag":"Account Management","count":1},{"language":"en","tag":"Generate Sounds","count":1},{"language":"en","tag":"Account Management","count":1}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"suno-api/separate-vocals-from-music","slug":"/suno-api/separate-vocals-from-music","pageMetadata":{"title":"Vocal \u0026 Instrument Stem Separation","description":"Use Suno's official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.","openapi":"suno-api/suno-api.json POST /api/v1/vocal-removal/generate","href":"/suno-api/separate-vocals-from-music"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Use Suno’s official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Heading,Table}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`usage-guide`,children:`Usage Guide`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Separate a platform‑generated mix into vocal, instrumental, and individual instrument components.`}),`\n`,_jsxs(_components.li,{children:[`Three processing modes are available:`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`separate_vocal`}),` — 2‑stem split (Vocals + Instrumental)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`split_stem`}),` — up to 12‑stem split`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`split_stem_advanced`}),` — advanced multi‑stem separation with specific instrument selection`]}),`\n`]}),`\n`]}),`\n`,_jsx(_components.li,{children:`Ideal for karaoke creation, remixes, sample extraction, or detailed post‑production.`}),`\n`,_jsx(_components.li,{children:`Best results on professionally mixed AI tracks with clear vocal and instrumental layers.`}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Billing notice:`}),` Each call consumes credits; `,_jsx(_components.strong,{children:`re‑calling the same track is charged again`}),` (no server‑side caching).`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Pricing:`}),` Check current per‑call credit costs at `,_jsx(_components.a,{href:`https://sunoapi.org/billing`,children:_jsx(_components.strong,{children:`https://sunoapi.org/billing`})}),`.`]}),`\n`]}),`\n`,_jsx(Heading,{level:`3`,id:`separation-mode-details`,children:`Separation Mode Details`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:_jsxs(_components.strong,{children:[`Mode (`,_jsx(`code`,{children:`type`}),`)`]})}),_jsx(_components.th,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Stems Returned`})}),_jsx(_components.th,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Typical Use`})}),_jsx(_components.th,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Credit Cost`})})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsxs(_components.td,{style:{textAlign:`left`},children:[_jsx(_components.code,{children:`separate_vocal`}),` `,_jsx(_components.em,{children:`(default)`})]}),_jsxs(_components.td,{style:{textAlign:`left`},children:[_jsx(_components.strong,{children:`2 stems`}),` – Vocals + Instrumental`]}),_jsx(_components.td,{style:{textAlign:`left`},children:`Quick vocal removal, karaoke, basic remixes`}),_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`10 Credits`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`split_stem`})}),_jsxs(_components.td,{style:{textAlign:`left`},children:[_jsx(_components.strong,{children:`Up to 12 stems`}),` – Vocals, Backing Vocals, Drums, Bass, Guitar, Keyboard, Strings, Brass, Woodwinds, Percussion, Synth, FX/Other`]}),_jsx(_components.td,{style:{textAlign:`left`},children:`Advanced mixing, remixing, sound design`}),_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`50 Credits`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`split_stem_advanced`})}),_jsxs(_components.td,{style:{textAlign:`left`},children:[_jsx(_components.strong,{children:`Specified instrument stems`}),` — extract specific instruments via `,_jsx(_components.code,{children:`stemName`})]}),_jsx(_components.td,{style:{textAlign:`left`},children:`Precise instrument extraction, professional post‑production`}),_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`20 Credits`})})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`parameter-reference`,children:`Parameter Reference`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Name`})}),_jsx(_components.th,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Type`})}),_jsx(_components.th,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Required`})}),_jsx(_components.th,{style:{textAlign:`left`},children:_jsx(_components.strong,{children:`Description`})})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`taskId`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Conditional`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Unique identifier of the music generation task. Should be the taskId returned by the “Generate Music” or “Extend Music” endpoint. `,_jsx(_components.strong,{children:`Required when using existing audio.`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`audioUrl`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Conditional`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`URL of the audio file uploaded by the user. Maximum file size: 20MB. `,_jsx(_components.strong,{children:`Required when using user-uploaded audio.`}),` Cannot be used together with `,_jsx(_components.code,{children:`audioId`}),`.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`audioId`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Conditional`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Unique identifier of the specific audio track to process. This ID is returned in the callback data after music generation completes. `,_jsx(_components.strong,{children:`Required when using existing audio.`}),` Cannot be used together with `,_jsx(_components.code,{children:`audioUrl`}),`.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`type`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Optional`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Separation type: `,_jsx(_components.code,{children:`separate_vocal`}),` (default), `,_jsx(_components.code,{children:`split_stem`}),`, or `,_jsx(_components.code,{children:`split_stem_advanced`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`stemName`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Conditional`}),_jsxs(_components.td,{style:{textAlign:`left`},children:[`Only used when `,_jsx(_components.code,{children:`type`}),` is `,_jsx(_components.code,{children:`split_stem_advanced`}),`, specifies the name of the specific track/instrument to separate. Supported instruments include: Lead Vocal, Drum Kit, Piano, Guitar, Bass, Synth, Percussion, etc.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{style:{textAlign:`left`},children:_jsx(_components.code,{children:`callBackUrl`})}),_jsx(_components.td,{style:{textAlign:`left`},children:`string`}),_jsx(_components.td,{style:{textAlign:`left`},children:`Required`}),_jsx(_components.td,{style:{textAlign:`left`},children:`URL for receiving vocal separation task completion updates`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`developer-notes`,children:`Developer Notes`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`All returned audio-file URLs remain accessible for `,_jsx(_components.strong,{children:`14 days`}),`.`]}),`\n`,_jsx(_components.li,{children:`Separation quality depends on the complexity and mixing of the original track.`}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`separate_vocal`}),` returns `,_jsx(_components.strong,{children:`2 stems`}),` — vocals + instrumental.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`split_stem`}),` returns `,_jsx(_components.strong,{children:`up to 12 independent stems`}),` — vocals, backing vocals, drums, bass, guitar, keyboard, strings, brass, woodwinds, percussion, synth, FX/other.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`split_stem_advanced`}),` returns independent stems for specified instruments. Use the `,_jsx(_components.code,{children:`stemName`}),` parameter to specify the instrument name.`]}),`\n`,_jsxs(_components.li,{children:[`Each separated stem can be converted to WAV: call `,_jsx(_components.a,{href:`/suno-api/convert-to-wav-format`,children:`Convert to WAV Format`}),` with this task’s `,_jsx(_components.code,{children:`taskId`}),` and the stem’s `,_jsx(_components.code,{children:`id`}),` (from `,_jsx(_components.code,{children:`originData`}),`) as `,_jsx(_components.code,{children:`audioId`}),`.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Billing:`}),` Every request is charged. Re‑submitting the same track triggers `,_jsx(_components.strong,{children:`a new credit deduction`}),` (no server‑side caching).`]}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Vocal \u0026 Instrument Stem Separation","description":"Use Suno's official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.","openapi":"suno-api/suno-api.json POST /api/v1/vocal-removal/generate","href":"/suno-api/separate-vocals-from-music"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Usage Guide","slug":"usage-guide","depth":3,"children":[]},{"title":"Separation Mode Details","slug":"separation-mode-details","depth":3,"children":[]},{"title":"Parameter Reference","slug":"parameter-reference","depth":3,"children":[]},{"title":"Developer Notes","slug":"developer-notes","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"separate-vocals-from-music","summary":"Separate Vocals from Music","requestBody":"28a921e8-9ca0-4553-a40a-9f3d9e4afaf1","responses":{"200":"03297531-4438-407f-a268-f1d793c1fe60","500":"a5a9e19b-bf2c-4584-8bd6-b25b590e52ea"},"callbacks":{"vocalRemovalGenerated":"267cc23e-8fc0-4f44-b48e-39e4498cf5ea"},"method":"post","type":"path","servers":["70e1645d-2722-4ecd-9381-477ef0fe62c3"],"security":["6d3fe124-63a0-4ab3-9da2-de439119be05"],"path":"/api/v1/vocal-removal/generate","baseUrlOptions":["https://apibox.erweima.ai"],"title":"Separate Vocals from Music","description":"Use Suno's official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"Separate using existing audio","required":["callBackUrl","taskId","audioId"],"x-apidog-orders":["audioId","type","stemName","callBackUrl"],"properties":{"taskId":{"type":"string","description":"Unique identifier of the music generation task. Should be the taskId returned by the \"Generate Music\" or \"Extend Music\" endpoint.","example":"5c79****be8e","isRequired":true,"uniqueKey":"oneOf.0.taskId","typeLabel":"string"},"audioId":{"type":"string","description":"Unique identifier of the specific audio track to process. This ID is returned in the callback data after music generation completes. Required when using existing audio. Cannot be used together with audioUrl.","example":"e231****-****-****-****-****8cadc7dc","isRequired":true,"uniqueKey":"oneOf.0.audioId","typeLabel":"string"},"callBackUrl":{"type":"string","format":"uri","description":"URL for receiving vocal separation task completion updates. Required for all vocal separation requests.","example":"https://api.example.com/callback","isRequired":true,"uniqueKey":"oneOf.0.callBackUrl","typeLabel":"string\u003curi>"},"type":{"type":"string","description":"Separation type. Options:\n- `separate_vocal`: Separate vocals and accompaniment, generating vocal and instrumental tracks\n- `split_stem`: Separate various instrument sounds, generating multiple instrument tracks\n- `split_stem_advanced`: Advanced multi-stem separation with specific instrument selection, generating more refined instrument tracks","enum":["separate_vocal","split_stem","split_stem_advanced"],"default":"separate_vocal","example":"separate_vocal","uniqueKey":"oneOf.0.type","typeLabel":"enum\u003cstring>"},"stemName":{"type":"string","description":"Only used when type is split_stem_advanced. Specifies the name of the specific track/instrument to separate.","enum":["Lead Vocal","Drum Kit","Kick","Snare","Risers","Bass","Backing Vocals","Piano","Electric Guitar","Percussion","String Section","Synth","Acoustic Guitar","Sound Effects","Synth Pad","Synth Bass","Guitar","Brass Section","Organ","Electronic Drum Kit","Lead Electric Guitar","Synth Keys","Rhythm Electric Guitar","Electric Piano","Upright Bass","Keyboards","Distorted Electric Guitar","Synth Strings","Synth Lead","Woodwinds","Rhythm Acoustic Guitar","Flute","Harp","Tambourine","Trumpet","Arpeggiator","Accordion","Fiddle","Pedal Steel Guitar","Synth Voice","Violin","Digital Piano","Synth Brass","Mandolin","Choir","Banjo","Bells","Clarinet","Tenor Saxophone","Trombone","Shaker","French Horn","Glockenspiel","Electric Bass","Cello","Timpani","Harmonica","Marimba","Vibraphone","Lap Steel Guitar","Saxophone","Orchestra","Horns","Cymbals","Hand Clap","Oboe","Celesta","Congas","Drone","Alto Saxophone","Double Bass","Ukulele","Harpsichord","Baritone Saxophone","Xylophone","Tuba","Bass Guitar","Whistle","Lead Guitar","Rhodes","808","Bongos","Bassoon","Cowbell","Viola","Sitar","Steel Drums","Piccolo","Theremin","Bagpipes","Hi-Hat","Music Box","Melodica","Tabla","Koto","Djembe","Taiko","Didgeridoo"],"uniqueKey":"oneOf.0.stemName","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.0","typeLabel":"Separate using existing audio · object"},{"type":"object","title":"Separate using user-uploaded audio","required":["callBackUrl","audioUrl"],"x-apidog-orders":["audioId","type","stemName","callBackUrl"],"properties":{"audioUrl":{"type":"string","format":"uri","description":"URL of the audio file uploaded by the user. The maximum file size is 20MB. Cannot be used together with audioId.","example":"https://example.com/my-audio.mp3","isRequired":true,"uniqueKey":"oneOf.1.audioUrl","typeLabel":"string\u003curi>"},"callBackUrl":{"type":"string","format":"uri","description":"URL for receiving vocal separation task completion updates. Required for all vocal separation requests.","example":"https://api.example.com/callback","isRequired":true,"uniqueKey":"oneOf.1.callBackUrl","typeLabel":"string\u003curi>"},"audioId":{"type":"string","description":"Unique identifier of the specific audio track to process. This ID is returned in the callback data after music generation completes. Required when using existing audio. Cannot be used together with audioUrl.","example":"e231****-****-****-****-****8cadc7dc","uniqueKey":"oneOf.1.audioId","typeLabel":"string"},"type":{"type":"string","description":"Separation type. Options:\n- `separate_vocal`: Separate vocals and accompaniment, generating vocal and instrumental tracks\n- `split_stem`: Separate various instrument sounds, generating multiple instrument tracks\n- `split_stem_advanced`: Advanced multi-stem separation with specific instrument selection, generating more refined instrument tracks","enum":["separate_vocal","split_stem","split_stem_advanced"],"default":"separate_vocal","example":"separate_vocal","uniqueKey":"oneOf.1.type","typeLabel":"enum\u003cstring>"},"stemName":{"type":"string","description":"Only used when type is split_stem_advanced. Specifies the name of the specific track/instrument to separate.","enum":["Lead Vocal","Drum Kit","Kick","Snare","Risers","Bass","Backing Vocals","Piano","Electric Guitar","Percussion","String Section","Synth","Acoustic Guitar","Sound Effects","Synth Pad","Synth Bass","Guitar","Brass Section","Organ","Electronic Drum Kit","Lead Electric Guitar","Synth Keys","Rhythm Electric Guitar","Electric Piano","Upright Bass","Keyboards","Distorted Electric Guitar","Synth Strings","Synth Lead","Woodwinds","Rhythm Acoustic Guitar","Flute","Harp","Tambourine","Trumpet","Arpeggiator","Accordion","Fiddle","Pedal Steel Guitar","Synth Voice","Violin","Digital Piano","Synth Brass","Mandolin","Choir","Banjo","Bells","Clarinet","Tenor Saxophone","Trombone","Shaker","French Horn","Glockenspiel","Electric Bass","Cello","Timpani","Harmonica","Marimba","Vibraphone","Lap Steel Guitar","Saxophone","Orchestra","Horns","Cymbals","Hand Clap","Oboe","Celesta","Congas","Drone","Alto Saxophone","Double Bass","Ukulele","Harpsichord","Baritone Saxophone","Xylophone","Tuba","Bass Guitar","Whistle","Lead Guitar","Rhodes","808","Bongos","Bassoon","Cowbell","Viola","Sitar","Steel Drums","Piccolo","Theremin","Bagpipes","Hi-Hat","Music Box","Melodica","Tabla","Koto","Djembe","Taiko","Didgeridoo"],"uniqueKey":"oneOf.1.stemName","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.1","typeLabel":"Separate using user-uploaded audio · object"}],"uniqueKey":"","typeLabel":"Separate using existing audio · object | Separate using user-uploaded audio · object"},"examples":{"Example":{"title":"Example","value":{"taskId":"5c79****be8e","audioId":"e231****-****-****-****-****8cadc7dc","callBackUrl":"https://api.example.com/callback","type":"separate_vocal"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"03297531-4438-407f-a268-f1d793c1fe60":{"description":"Request successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"# Status Codes\n\n- ✅ 200 - Request successful\n- ⚠️ 400 - Invalid parameters\n- ⚠️ 401 - Unauthorized access\n- ⚠️ 404 - Invalid request method or path\n- ⚠️ 405 - Rate limit exceeded\n- ⚠️ 413 - Theme or prompt too long\n- ⚠️ 429 - Insufficient credits\n- ⚠️ 430 - Your call frequency is too high. Please try again later.\n- ⚠️ 455 - System maintenance\n- ❌ 500 - Server error","example":200,"enum":[200,400,401,404,405,413,429,430,455,500],"uniqueKey":"code","typeLabel":"enum\u003cinteger>"},"msg":{"type":"string","description":"Error message when code != 200","example":"success","uniqueKey":"msg","typeLabel":"string"},"data":{"type":"object","properties":{"taskId":{"type":"string","description":"Task ID for tracking task status","example":"5c79****be8e","uniqueKey":"data.taskId","typeLabel":"string"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":200,"msg":"success","data":{"taskId":"5c79****be8e"}}}},"exampleType":"generated"}},"exampleType":"generated"},"a5a9e19b-bf2c-4584-8bd6-b25b590e52ea":{"description":"Server error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"callbacks":[{"callbackName":"vocalRemovalGenerated","expression":"{$request.body#/callBackUrl}","method":"post","resolved":{"operation":{"description":"System will call this callback when vocal separation is complete. The callback data structure varies based on the `type` parameter in the request.\n\n### separate_vocal Type Callback Example\n```json\n{\n \"code\": 200,\n \"msg\": \"vocal Removal generated successfully.\",\n \"data\": {\n \"task_id\": \"3e63b4cc88d52611159371f6af5571e7\",\n \"vocal_removal_info\": {\n \"instrumental_url\": \"https://file.aiquickdraw.com/s/d92a13bf-c6f4-4ade-bb47-f69738435528_Instrumental.mp3\",\n \"origin_url\": \"\",\n \"vocal_url\": \"https://file.aiquickdraw.com/s/3d7021c9-fa8b-4eda-91d1-3b9297ddb172_Vocals.mp3\"\n }\n }\n}\n```\n\n### split_stem Type Callback Example\n```json\n{\n \"code\": 200,\n \"msg\": \"vocal Removal generated successfully.\",\n \"data\": {\n \"task_id\": \"e649edb7abfd759285bd41a47a634b10\",\n \"vocal_removal_info\": {\n \"origin_url\": \"\",\n \"backing_vocals_url\": \"https://file.aiquickdraw.com/s/aadc51a3-4c88-4c8e-a4c8-e867c539673d_Backing_Vocals.mp3\",\n \"bass_url\": \"https://file.aiquickdraw.com/s/a3c2da5a-b364-4422-adb5-2692b9c26d33_Bass.mp3\",\n \"brass_url\": \"https://file.aiquickdraw.com/s/334b2d23-0c65-4a04-92c7-22f828afdd44_Brass.mp3\",\n \"drums_url\": \"https://file.aiquickdraw.com/s/ac75c5ea-ac77-4ad2-b7d9-66e140b78e44_Drums.mp3\",\n \"fx_url\": \"https://file.aiquickdraw.com/s/a8822c73-6629-4089-8f2a-d19f41f0007d_FX.mp3\",\n \"guitar_url\": \"https://file.aiquickdraw.com/s/064dd08e-d5d2-4201-9058-c5c40fb695b4_Guitar.mp3\",\n \"keyboard_url\": \"https://file.aiquickdraw.com/s/adc934e0-df7d-45da-8220-1dba160d74e0_Keyboard.mp3\",\n \"percussion_url\": \"https://file.aiquickdraw.com/s/0f70884d-047c-41f1-a6d0-7044618b7dc6_Percussion.mp3\",\n \"strings_url\": \"https://file.aiquickdraw.com/s/49829425-a5b0-424e-857a-75d4c63a426b_Strings.mp3\",\n \"synth_url\": \"https://file.aiquickdraw.com/s/56b2d94a-eb92-4d21-bc43-3460de0c8348_Synth.mp3\",\n \"vocal_url\": \"https://file.aiquickdraw.com/s/07420749-29a2-4054-9b62-e6a6f8b90ccb_Vocals.mp3\",\n \"woodwinds_url\": \"https://file.aiquickdraw.com/s/d81545b1-6f94-4388-9785-1aaa6ecabb02_Woodwinds.mp3\"\n }\n }\n}\n```","requestBody":"26730559-5f6f-45ce-bf56-3d717b6660ba","responses":{"200":"6fe7f9f0-dca6-4283-9c6b-e1128057a041"},"method":"post","type":"path"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"Status code","example":200,"uniqueKey":"code","typeLabel":"integer"},"msg":{"type":"string","description":"Response message","example":"vocal Removal generated successfully.","uniqueKey":"msg","typeLabel":"string"},"data":{"type":"object","properties":{"task_id":{"type":"string","description":"Task ID","uniqueKey":"data.task_id","typeLabel":"string"},"vocal_removal_info":{"type":"object","description":"Vocal separation result information, fields vary based on the requested type parameter","properties":{"origin_url":{"type":"string","description":"Original audio URL","uniqueKey":"data.vocal_removal_info.origin_url","typeLabel":"string"},"instrumental_url":{"type":"string","description":"Instrumental part audio URL (separate_vocal type)","uniqueKey":"data.vocal_removal_info.instrumental_url","typeLabel":"string"},"vocal_url":{"type":"string","description":"Vocal part audio URL","uniqueKey":"data.vocal_removal_info.vocal_url","typeLabel":"string"},"backing_vocals_url":{"type":"string","description":"Backing vocals audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.backing_vocals_url","typeLabel":"string"},"bass_url":{"type":"string","description":"Bass part audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.bass_url","typeLabel":"string"},"brass_url":{"type":"string","description":"Brass instruments audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.brass_url","typeLabel":"string"},"drums_url":{"type":"string","description":"Drums part audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.drums_url","typeLabel":"string"},"fx_url":{"type":"string","description":"Sound effects audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.fx_url","typeLabel":"string"},"guitar_url":{"type":"string","description":"Guitar part audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.guitar_url","typeLabel":"string"},"keyboard_url":{"type":"string","description":"Keyboard part audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.keyboard_url","typeLabel":"string"},"percussion_url":{"type":"string","description":"Percussion instruments audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.percussion_url","typeLabel":"string"},"strings_url":{"type":"string","description":"String instruments audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.strings_url","typeLabel":"string"},"synth_url":{"type":"string","description":"Synthesizer audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.synth_url","typeLabel":"string"},"woodwinds_url":{"type":"string","description":"Woodwind instruments audio URL (split_stem type)","uniqueKey":"data.vocal_removal_info.woodwinds_url","typeLabel":"string"}},"uniqueKey":"data.vocal_removal_info","typeLabel":"object"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":200,"msg":"vocal Removal generated successfully.","data":{"task_id":"\u003cstring>","vocal_removal_info":{"origin_url":"\u003cstring>","instrumental_url":"\u003cstring>","vocal_url":"\u003cstring>","backing_vocals_url":"\u003cstring>","bass_url":"\u003cstring>","brass_url":"\u003cstring>","drums_url":"\u003cstring>","fx_url":"\u003cstring>","guitar_url":"\u003cstring>","keyboard_url":"\u003cstring>","percussion_url":"\u003cstring>","strings_url":"\u003cstring>","synth_url":"\u003cstring>","woodwinds_url":"\u003cstring>"}}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"6fe7f9f0-dca6-4283-9c6b-e1128057a041":{"description":"Callback received successfully","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{}}}}],"security":{"6d3fe124-63a0-4ab3-9da2-de439119be05":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"# 🔑 API Authentication\n\nAll endpoints require authentication using Bearer Token.\n\n## Get API Key\n\n1. Visit the [API Key Management Page](https://api.box/api-key) to obtain your API Key\n\n## Usage\n\nAdd to request headers:\n\n```\nAuthorization: Bearer YOUR_API_KEY\n```\n\n> **⚠️ Note:**\n> - Keep your API Key secure and do not share it with others\n> - If you suspect your API Key has been compromised, reset it immediately from the management page","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"70e1645d-2722-4ecd-9381-477ef0fe62c3":{"url":"https://apibox.erweima.ai","description":"API Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"# 🔑 API Authentication\n\nAll endpoints require authentication using Bearer Token.\n\n## Get API Key\n\n1. Visit the [API Key Management Page](https://api.box/api-key) to obtain your API Key\n\n## Usage\n\nAdd to request headers:\n\n```\nAuthorization: Bearer YOUR_API_KEY\n```\n\n> **⚠️ Note:**\n> - Keep your API Key secure and do not share it with others\n> - If you suspect your API Key has been compromised, reset it immediately from the management page","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"# 🔑 API Authentication\n\nAll endpoints require authentication using Bearer Token.\n\n## Get API Key\n\n1. Visit the [API Key Management Page](https://api.box/api-key) to obtain your API Key\n\n## Usage\n\nAdd to request headers:\n\n```\nAuthorization: Bearer YOUR_API_KEY\n```\n\n> **⚠️ Note:**\n> - Keep your API Key secure and do not share it with others\n> - If you suspect your API Key has been compromised, reset it immediately from the management page","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"suno-api/suno-api.json"},"subdomain":"sunoapiorg","siteName":"Suno API","title":"Vocal \u0026 Instrument Stem Separation - Suno API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/suno-api/separate-vocals-from-music","matchLevel":0},"cn":{"href":"/cn/suno-api/separate-vocals-from-music","matchLevel":1}}},"lastModified":"2026-10-18T03:18:22.995Z","originalFileLocation":"suno-api/separate-vocals-from-music.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Use Suno\u0026#x27;s official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Suno API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Vocal \u0026amp; Instrument Stem Separation - Suno API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Use Suno\u0026#x27;s official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Suno API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://sunoapiorg.mintlify.app/_mintlify/api/og/v2?division=Vocal+Removal\u0026amp;title=Vocal+%26+Instrument+Stem+Separation\u0026amp;description=Use+Suno%27s+official+get%E2%80%91stem+API+to+split+tracks+created+on+our+platform+into+clean+vocal%2C+accompaniment%2C+or+per%E2%80%91instrument+stems+with+state%E2%80%91of%E2%80%91the%E2%80%91art+source%E2%80%91s\u0026amp;theme=7214e24e72b6f445c84b99ff\u0026amp;signature=df4e75420ef4b97c031e33f76367b99b74c14e1bf22b47aa185f45ba811020af\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Vocal \u0026amp; Instrument Stem Separation - Suno API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Use Suno\u0026#x27;s official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://sunoapiorg.mintlify.app/_mintlify/api/og/v2?division=Vocal+Removal\u0026amp;title=Vocal+%26+Instrument+Stem+Separation\u0026amp;description=Use+Suno%27s+official+get%E2%80%91stem+API+to+split+tracks+created+on+our+platform+into+clean+vocal%2C+accompaniment%2C+or+per%E2%80%91instrument+stems+with+state%E2%80%91of%E2%80%91the%E2%80%91art+source%E2%80%91s\u0026amp;theme=7214e24e72b6f445c84b99ff\u0026amp;signature=df4e75420ef4b97c031e33f76367b99b74c14e1bf22b47aa185f45ba811020af\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Suno API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/suno-api/separate-vocals-from-music.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.sunoapi.org/cn/suno-api/separate-vocals-from-music\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.sunoapi.org/#organization\",\"name\":\"Suno API\",\"url\":\"https://docs.sunoapi.org\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://sunoapi.org/logo.png\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.sunoapi.org#website\",\"name\":\"Suno API\",\"url\":\"https://docs.sunoapi.org\",\"publisher\":{\"@id\":\"https://docs.sunoapi.org/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music#webpage\",\"url\":\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music\",\"name\":\"Vocal \u0026 Instrument Stem Separation\",\"description\":\"Use Suno's official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.\",\"dateModified\":\"2026-10-18T03:18:22.995Z\",\"isPartOf\":{\"@id\":\"https://docs.sunoapi.org#website\"},\"breadcrumb\":{\"@id\":\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Suno API\",\"item\":\"https://docs.sunoapi.org\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Vocal \u0026 Instrument Stem Separation\",\"item\":\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music#apireference\",\"headline\":\"Vocal \u0026 Instrument Stem Separation\",\"name\":\"Vocal \u0026 Instrument Stem Separation\",\"description\":\"Use Suno's official get‑stem API to split tracks created on our platform into clean vocal, accompaniment, or per‑instrument stems with state‑of‑the‑art source‑separation AI.\",\"url\":\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music\",\"mainEntityOfPage\":{\"@id\":\"https://docs.sunoapi.org/suno-api/separate-vocals-from-music#webpage\"},\"dateModified\":\"2026-10-18T03:18:22.995Z\",\"publisher\":{\"@id\":\"https://docs.sunoapi.org/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.sunoapi.org#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Suno API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Suno API","nav":{"global":{"anchors":[{"anchor":"Home","icon":"house","href":"https://sunoapi.org/"},{"anchor":"Old Docs","icon":"book-open-cover","href":"https://old-docs.sunoapi.org/"}]},"languages":[{"language":"en","pages":[{"title":"Suno API Documentation","icon":"music","href":""},{"title":"Suno API Quick Start","icon":"rocket","href":"/suno-api/quickstart"},{"group":"Generate Music","pages":[{"title":"Generate Music","openapi":"suno-api/suno-api.json POST /api/v1/generate","href":"/suno-api/generate-music"},{"title":"Music Generation Callbacks","href":"/suno-api/generate-music-callbacks"},{"title":"Extend Music","openapi":"suno-api/suno-api.json POST /api/v1/generate/extend","href":"/suno-api/extend-music"},{"title":"Music Extension Callbacks","href":"/suno-api/extend-music-callbacks"},{"title":"Upload And Cover Audio","openapi":"suno-api/suno-api.json POST /api/v1/generate/upload-cover","href":"/suno-api/upload-and-cover-audio"},{"title":"Upload and Cover Audio Callbacks","href":"/suno-api/upload-and-cover-audio-callbacks"},{"title":"Upload And Extend Audio","openapi":"suno-api/suno-api.json POST /api/v1/generate/upload-extend","href":"/suno-api/upload-and-extend-audio"},{"title":"Upload and Extend Audio Callbacks","href":"/suno-api/upload-and-extend-audio-callbacks"},{"title":"Add Instrumental","openapi":"suno-api/suno-api.json POST /api/v1/generate/add-instrumental","href":"/suno-api/add-instrumental"},{"title":"Add Instrumental Callbacks","href":"/suno-api/add-instrumental-callbacks"},{"title":"Add Vocals","openapi":"suno-api/suno-api.json POST /api/v1/generate/add-vocals","href":"/suno-api/add-vocals"},{"title":"Add Vocals Callbacks","href":"/suno-api/add-vocals-callbacks"},{"title":"Get Music Generation Details","openapi":"suno-api/suno-api.json GET /api/v1/generate/record-info","href":"/suno-api/get-music-generation-details"},{"title":"Recovery Audio","openapi":"suno-api/suno-api.json POST /api/v1/suno/recovery","href":"/suno-api/recovery-audio"},{"title":"Get Recovery Audio Details","openapi":"suno-api/suno-api.json GET /api/v1/suno/recovery/record-info","href":"/suno-api/get-recovery-audio-details"},{"title":"Get Timestamped Lyrics","openapi":"suno-api/suno-api.json POST /api/v1/generate/get-timestamped-lyrics","href":"/suno-api/get-timestamped-lyrics"},{"title":"Boost Music Style","openapi":"suno-api/suno-api.json POST /api/v1/style/generate","href":"/suno-api/boost-music-style"},{"title":"Generate Music Cover","openapi":"suno-api/suno-api.json POST /api/v1/suno/cover/generate","href":"/suno-api/cover-suno"},{"title":"Music Cover Generation Callbacks","href":"/suno-api/cover-suno-callbacks"},{"title":"Replace Music Section","openapi":"suno-api/suno-api.json POST /api/v1/generate/replace-section","href":"/suno-api/replace-section"},{"title":"Replace Music Section Callbacks","href":"/suno-api/replace-section-callbacks"},{"title":"Get Music Cover Details","openapi":"suno-api/suno-api.json GET /api/v1/suno/cover/record-info","href":"/suno-api/get-cover-suno-details"},{"title":"Generate Persona","openapi":"suno-api/suno-api.json POST /api/v1/generate/generate-persona","href":"/suno-api/generate-persona"},{"title":"Generate Mashup","openapi":"suno-api/suno-api.json POST /api/v1/generate/mashup","href":"/suno-api/generate-mashup"}]},{"group":"Suno Voice","pages":[{"title":"Suno Voice Generate Verification Phrase","openapi":"suno-api/suno-voice-api.json POST /api/v1/voice/validate","href":"/suno-api/suno-voice-validate"},{"title":"Suno Voice Validation Phrase Callbacks","href":"/suno-api/suno-voice-validate-callbacks"},{"title":"Suno Voice Get Verification Phrase","openapi":"suno-api/suno-voice-api.json GET /api/v1/voice/validate-info","href":"/suno-api/suno-voice-validate-info"},{"title":"Suno Voice Create Custom Voice","openapi":"suno-api/suno-voice-api.json POST /api/v1/voice/generate","href":"/suno-api/suno-voice-generate"},{"title":"Suno Voice Generation Callbacks","href":"/suno-api/suno-voice-generate-callbacks"},{"title":"Suno Voice Get Custom Voice Record","openapi":"suno-api/suno-voice-api.json GET /api/v1/voice/record-info","href":"/suno-api/suno-voice-record-info"},{"title":"Suno Voice Regenerate Verification Phrase","openapi":"suno-api/suno-voice-api.json POST /api/v1/voice/regenerate","href":"/suno-api/suno-voice-regenerate"},{"title":"Suno Voice Regenerate Phrase Callbacks","href":"/suno-api/suno-voice-regenerate-callbacks"},{"title":"Suno Voice Check Availability","openapi":"suno-api/suno-voice-api.json POST /api/v1/voice/check-voice","href":"/suno-api/suno-voice-check-voice"}]},{"group":"Generate Lyrics","pages":[{"title":"Generate Lyrics","openapi":"suno-api/suno-api.json POST /api/v1/lyrics","href":"/suno-api/generate-lyrics"},{"title":"Lyrics Generation Callbacks","href":"/suno-api/generate-lyrics-callbacks"},{"title":"Get Lyrics Generation Details","openapi":"suno-api/suno-api.json GET /api/v1/lyrics/record-info","href":"/suno-api/get-lyrics-generation-details"}]},{"group":"Generate Sounds","pages":[{"title":"Generate Sounds","openapi":"suno-api/suno-api.json POST /api/v1/generate/sounds","href":"/suno-api/generate-sounds"}]},{"group":"WAV Conversion","pages":[{"title":"Convert to WAV Format","openapi":"suno-api/suno-api.json POST /api/v1/wav/generate","href":"/suno-api/convert-to-wav-format"},{"title":"WAV Format Conversion Callbacks","href":"/suno-api/convert-to-wav-format-callbacks"},{"title":"Get WAV Conversion Details","description":"Retrieve detailed information about a WAV format conversion task, including status and download link.","openapi":"suno-api/suno-api.json GET /api/v1/wav/record-info","href":"/suno-api/get-wav-conversion-details"}]},{"group":"Vocal Removal","pages":[{"title":"Vocal \u0026 Instrument Stem Separation","openapi":"suno-api/suno-api.json POST /api/v1/vocal-removal/generate","href":"/suno-api/separate-vocals-from-music"},{"title":"Audio Separation Callbacks","description":"When vocal separation tasks are completed, the system will send results to your provided callback URL via POST request","href":"/suno-api/separate-vocals-from-music-callbacks"},{"title":"Get Audio Separation Details","openapi":"suno-api/suno-api.json GET /api/v1/vocal-removal/record-info","href":"/suno-api/get-vocal-separation-details"},{"title":"Generate MIDI from Audio","openapi":"suno-api/suno-api.json POST /api/v1/midi/generate","href":"/suno-api/generate-midi"},{"title":"MIDI Generation Callbacks","href":"/suno-api/generate-midi-callbacks"},{"title":"Get MIDI Generation Details","openapi":"suno-api/suno-api.json GET /api/v1/midi/record-info","href":"/suno-api/get-midi-details"}]},{"group":"Music Video Generation","pages":[{"title":"Create Music Video","openapi":"suno-api/suno-api.json POST /api/v1/mp4/generate","href":"/suno-api/create-music-video"},{"title":"Music Video Generation Callbacks","href":"/suno-api/create-music-video-callbacks"},{"title":"Get Music Video Details","openapi":"suno-api/suno-api.json GET /api/v1/mp4/record-info","href":"/suno-api/get-music-video-details"}]},{"group":"Account Management","pages":[{"title":"Get Remaining Credits","openapi":"suno-api/suno-api.json GET /api/v1/generate/credit","href":"/suno-api/get-remaining-credits"}]},{"group":"File Upload API","pages":[{"title":"File Upload API Quickstart","icon":"rocket","href":"/file-upload-api/quickstart"},{"title":"Base64 File Upload","openapi":"file-upload-api/file-upload-api.json POST /api/file-base64-upload","href":"/file-upload-api/upload-file-base-64"},{"openapi":"file-upload-api/file-upload-api.json POST /api/file-stream-upload","title":"File Stream Upload","href":"/file-upload-api/upload-file-stream"},{"openapi":"file-upload-api/file-upload-api.json POST /api/file-url-upload","title":"URL File Upload","href":"/file-upload-api/upload-file-url"}]}]},{"language":"cn","pages":[{"title":"cn","href":"/cn/suno-api/separate-vocals-from-music"}]}]},"title":"Vocal \u0026 Instrument Stem Separation - Suno API","buildId":"dpl_849ArpqvBiCczQiT1Y1stNGpbqHT","deploymentId":"dpl_849ArpqvBiCczQiT1Y1stNGpbqHT","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-Bbp7I60D.js","utils-C3RIvJha.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DqD-vLt8.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B31Loprg.js","snippetPresets-DKpk-b8t.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Cj65AhOR.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BXtn5gcC.js","shallow-RY2b03Cp.js","getApiPlaygroundDisplay-B0jeiPk3.js","CodeSnippet-CYgBjjwn.js","CodeSnippets-DOngDrYB.js","Page-n7I5XbKb.js","getPastedJson-DRQbJx-T.js","icon-CQiQCicY.js","MethodPill-BKTLdNtu.js","DuplicateIcon-B9jpAdat.js","createIcon-DCddRrXv.js","DynamicMarkdown-a8hUKrw6.js","SectionHeading-eECVV2eH.js","axios-vUo_bRtp.js","Markdown--GF7ZIpf.js","clsx-DZLdJUrt.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-2LoAhjKH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Zwc0ZncM.js"]}